Skip to main content
DELETE
Delete a loyalty program

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique program identifier

Pattern: ^lprg_[a-f0-9]+$

Response

Program deleted successfully

Program DTO returned by toDTO()

id
string

Unique program identifier

Pattern: ^lprg_[a-f0-9]+$
name
string

Program name

status
enum<string>
Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
start_date
string<date-time> | null

Program start date

end_date
string<date-time> | null

Program end date

metadata
object

Custom key-value metadata.

created_at
string<date-time>

Creation timestamp (ISO 8601)

updated_at
string<date-time> | null

Last update timestamp (ISO 8601)

object
string
Allowed value: "program"
Last modified on May 19, 2026